#-----------------------------------------------------------------------------
# Copyright 2008, Victor Liu
#
# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
# Version History:
#   2006.Dec.09     v1.0    Initial release
#   2008.Jan.25     v1.1    Bug fixes; easier to use; remove grid option
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
# Usage: 
#
# Menu Items:
#   Draw > Bezier Patch
#
# Context Menu Items:
#   Edit Bezier Patch
#-----------------------------------------------------------------------------

require 'extensions.rb'

module Ngon
  module BezierPatch
  
    @@extension = SketchupExtension::new(
      'Ngon: Bezier Patch',
      'bez-patch/bez-patch.rb'
    )

    @@extension.version= '1.1.0'
    @@extension.creator= 'Victor Liu (ngon)'
    @@extension.copyright= '©2008, Victor Liu'
    
    @@extension.description= "A Bezier patch creator, adding a new item to the Draw menu."<<
    " Also adds a \"Edit Bezier Patch\" item to the right-click mouse context menu."

    def extension
      @@extension
    end
    module_function('extension')

    Sketchup::register_extension(@@extension,true)

  end
end